local mod = ...



-- Building: Cattle Farm -------------------------------------------------------------------------------------
mod:registerAsset({
	DataType = "BUILDING",
	Id = "BUILDING_LIVESTOCKFARM_CATTLE",
	Name = "BUILDING_LIVESTOCKFARM_CATTLE_NAME",
	Description = "BUILDING_LIVESTOCKFARM_CATTLE_DESC",
    BuildingType = "FOOD_PRODUCTION",
	AssetCoreBuildingPart = "BUILDING_PART_MONUMENT_POLE",
    AssetMiniatureBuildingPart = "BUILDING_PART_DAIRY_FARM",
	BuildingPartSetList = {
		{
			Name = "BUILDING_PART_SETLIST_LIVESTOCKFARM_CATTLE1_NAME",
			BuildingPartList = { 
				"BUILDING_PART_LIVESTOCKFARM_CATTLEYARD",
                "BUILDING_PART_LIVESTOCKFARM_HAYSTACK",
			},
        },
		{
			Name = "BUILDING_PART_SETLIST_LIVESTOCKFARM_CATTLE2_NAME",
			BuildingPartList = { 
				"BUILDING_PART_DAIRY_FARM",
				"BUILDING_PART_LIVESTOCKFARM_CATTLEPASTURE",
			},
        },
		{
			Name = "BUILDING_PART_SETLIST_LIVESTOCKFARM_CATTLE3_NAME",
			BuildingPartList = { 
                "BUILDING_PART_LIVESTOCKFARM_CATTLEPEN_SLAUGHTER",
                "BUILDING_PART_LIVESTOCKFARM_CATTLEPEN_MILK",
                "BUILDING_PART_POULTRYFARM_DUNGHEAP",
			},
        },
		{
			Name = "BUILDING_PART_SETLIST_LIVESTOCKFARM_CATTLE4_NAME",
			BuildingPartList = { 
                "BUILDING_PART_LIVESTOCKFARM_MILKCART",
			},
        },
    },
    VillagerRequired = { Status = "COMMONER", Quantity = 1 },
})



-- Building: Sheep Farm -------------------------------------------------------------------------------------
mod:registerAsset({
	DataType = "BUILDING",
	Id = "BUILDING_LIVESTOCKFARM_SHEEP",
	Name = "BUILDING_LIVESTOCKFARM_SHEEP_NAME",
	Description = "BUILDING_LIVESTOCKFARM_SHEEP_DESC",
    BuildingType = "FOOD_PRODUCTION",
	AssetCoreBuildingPart = "BUILDING_PART_MONUMENT_POLE",
    AssetMiniatureBuildingPart = "BUILDING_PART_SHEEP_FARM",
	BuildingPartSetList = {
		{
			Name = "BUILDING_PART_SETLIST_LIVESTOCKFARM_SHEEP1_NAME",
			BuildingPartList = { 
				"BUILDING_PART_LIVESTOCKFARM_SHEEPYARD",
                "BUILDING_PART_LIVESTOCKFARM_HAYSTACK",
			},
        },
		{
			Name = "BUILDING_PART_SETLIST_LIVESTOCKFARM_SHEEP2_NAME",
			BuildingPartList = { 
				"BUILDING_PART_SHEEP_FARM",
			},
        },
		{
			Name = "BUILDING_PART_SETLIST_LIVESTOCKFARM_SHEEP3_NAME",
			BuildingPartList = { 
                "BUILDING_PART_LIVESTOCKFARM_SHEEPPEN_SLAUGHTER",
                "BUILDING_PART_LIVESTOCKFARM_SHEEPPEN_MILK",
                "BUILDING_PART_LIVESTOCKFARM_SHEEPPEN_SHEAR",
                "BUILDING_PART_POULTRYFARM_DUNGHEAP",
			},
        },
    },
    VillagerRequired = { Status = "COMMONER", Quantity = 1 },
})



-- Building: Pig Farm -------------------------------------------------------------------------------------
mod:registerAsset({
	DataType = "BUILDING",
	Id = "BUILDING_LIVESTOCKFARM_PIG",
	Name = "BUILDING_LIVESTOCKFARM_PIG_NAME",
	Description = "BUILDING_LIVESTOCKFARM_PIG_DESC",
    BuildingType = "FOOD_PRODUCTION",
	AssetCoreBuildingPart = "BUILDING_PART_MONUMENT_POLE",
    AssetMiniatureBuildingPart = "BUILDING_PART_LIVESTOCKFARM_PIGPEN3",
	BuildingPartSetList = {
		{
			Name = "BUILDING_PART_SETLIST_LIVESTOCKFARM_PIG1_NAME",
			BuildingPartList = { 
				"BUILDING_PART_LIVESTOCKFARM_PIGYARD",
                "BUILDING_PART_LIVESTOCKFARM_SILO",
			},
        },
		{
			Name = "BUILDING_PART_SETLIST_LIVESTOCKFARM_PIG2_NAME",
			BuildingPartList = { 
                "BUILDING_PART_LIVESTOCKFARM_PIGPEN",
                "BUILDING_PART_POULTRYFARM_DUNGHEAP",
			},
        },
		{
			Name = "BUILDING_PART_SETLIST_LIVESTOCKFARM_PIG3_NAME",
			BuildingPartList = { 
                "BUILDING_PART_LIVESTOCKFARM_PIGDECORATIVE",
			},
        },
    },
    VillagerRequired = { Status = "COMMONER", Quantity = 1 },
})



-- Building: Goat Farm -------------------------------------------------------------------------------------
mod:registerAsset({
	DataType = "BUILDING",
	Id = "BUILDING_LIVESTOCKFARM_GOAT",
	Name = "BUILDING_LIVESTOCKFARM_GOAT_NAME",
	Description = "BUILDING_LIVESTOCKFARM_GOAT_DESC",
    BuildingType = "FOOD_PRODUCTION",
	AssetCoreBuildingPart = "BUILDING_PART_MONUMENT_POLE",
    AssetMiniatureBuildingPart = "BUILDING_PART_LIVESTOCKFARM_GOATSHED",
	BuildingPartSetList = {
		{
			Name = "BUILDING_PART_SETLIST_LIVESTOCKFARM_GOAT1_NAME",
			BuildingPartList = { 
				"BUILDING_PART_LIVESTOCKFARM_GOATSHED",
			},
        },
		{
			Name = "BUILDING_PART_SETLIST_LIVESTOCKFARM_GOAT2_NAME",
			BuildingPartList = { 
                "BUILDING_PART_LIVESTOCKFARM_GOATPEN_SLAUGHTER",
                "BUILDING_PART_LIVESTOCKFARM_GOATPEN_MILK",
			},
        },
    },
    VillagerRequired = { Status = "COMMONER", Quantity = 1 },
})


